
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>动态加载script文件的两种方法_javascript技巧 / iVAN</title>

    <meta name="description" content="动态加载script文件的两种方法_javascript技巧 动态加载script到页面大约有俩方法 第一种就是利用ajax方式,把script文件代码从后台加载到前台,然后对加载到的内容通过eval()执行代码.第二种是,动态创建一个script标签,设置其src属性,通过把script标签插入到页面head来加载js,相当于在head中写了一个&lt;script src=&quot;...&quot;&gt;&lt;/script&gt;,只不过这个script标签是用js动态创建的 比如说是我们要动态地加载一个callbakc.js,我们就需要这样 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">动态加载script文件的两种方法_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>动态加载script到页面大约有俩方法</p>
<p>第一种就是利用ajax方式，把script文件代码从后台加载到前台，然后对加载到的内容通过eval()执行代码。第二种是，动态创建一个script标签，设置其src属性，通过把script标签插入到页面head来加载js，相当于在head中写了一个&lt;script src="..."&gt;&lt;/script&gt;,只不过这个script标签是用js动态创建的 <br />比如说是我们要动态地加载一个callbakc.js，我们就需要这样一个script标签：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;script type="text/javascript" src="call.js"&gt;&lt;/script&gt;</p>
<p>如下代码就是如何通过js来创建这个标签（并且加到head中）：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var head= document.getElementsByTagName('head')[0]; <br />var script= document.createElement('script'); <br />script.type= 'text/javascript'; <br />script.src= 'call.js'; <br />head.appendChild(script);</p>
<p>当加载完call.js， 我们就要调用其中的方法。不过在header.appendChild(script)之后我们不能马上调用其中的js。因为浏览器是异步加载这个js的，我们不知道他什么时候加载完。然而我们可以通过监听事件的办法来判断helper.js是否加载完成。（假设call.js中有一个callback方法）</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var head= document.getElementsByTagName('head')[0]; <br />var script= document.createElement('script'); <br />script.type= 'text/javascript'; <br />script.onreadystatechange= function () { <br />if (this.readyState == 'complete') <br />callback(); <br />} <br />script.onload= function(){ <br />callback(); <br />} <br />script.src= 'helper.js'; <br />head.appendChild(script);</p>
<p>我设了2个事件监听函数， 因为在ie中使用onreadystatechange, 而gecko,webkit 浏览器和opera都支持onload。事实上this.readyState == 'complete'并不能工作的很好，理论上状态的变化是如下步骤： <br />0 uninitialized <br />1 loading <br />2 loaded <br />3 interactive <br />4 complete <br />但是有些状态会被跳过。根据经验在ie7中，只能获得loaded和completed中的一个，不能都出现，原因也许是对判断是不是从cache中读取影响了状态的变化，也可能是其他原因。最好把判断条件改成this.readyState == 'loaded' || this.readyState == 'complete'</p>
<p>参考jQuery的实现我们最后实现为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var head= document.getElementsByTagName('head')[0]; <br />var script= document.createElement('script'); <br />script.type= 'text/javascript'; <br />script.onload = script.onreadystatechange = function() { <br />if (!this.readyState || this.readyState === "loaded" || this.readyState === "complete" ) { <br />help(); <br />// Handle memory leak in IE <br />script.onload = script.onreadystatechange = null; <br />} }; <br />script.src= 'helper.js'; <br />head.appendChild(script);</p>
<p>还有一种简单的情况就是可以把help()的调用写在helper.js的最后，那么可以保证在helper.js在加载完后能自动调用help(),当然最后还要能这样是不是适合你的应用。</p>
<p>另外需要注意：</p>
<p>1.因为script标签的src可以跨域访问资源,所以这种方法可以模拟ajax，解决ajax跨域访问的问题。 <br />2.如果用ajax返回的html代码中包含script，则直接用innerHTML插入到dom中是不能使html中的script起作用的。粗略的看了下jQuery().html(html)的原代码，jQuery也是先解析传入的参数，剥离其中的script代码，动态创建script标签，所用jQuery的html方法添加进dom的html如果包含script是可以执行的。如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>jQuery("#content").html("&lt;script&gt;alert('aa');&lt;\/script&gt;");</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 05:59:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81%e5%8a%a0%e8%bd%bdscript/" title="动态加载script">动态加载script</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>动态加载script文件的两种方法_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Z4Edp.html" rel="bookmark">动态加载JavaScript文件的两种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要为大家详细介绍了动态加载JavaScript文件的两种方法,感兴趣的小伙伴们可以参考一下 第一种便是利用ajax方式,把script文件代码从背景加载到前台,而后对加载到的内容经过eval()实施代码.第二种是,动静创建一个script标签,配置其src属性,经过把script标签插入到页面head来加载js,相当于正在head中写了一个&lt;script src=&quot;...&quot;&gt;&lt;/script&gt;,只可是这个script标签是用js动静创建的 比喻说是我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Z3OVb.html" rel="bookmark">动态加载JS文件的三种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				直接看实例.例1 重新加载js文件 复制代码 代码如下: function loadJs(file) {            var head = $(&quot;head&quot;).remove(&quot;script[role='reload']&quot;);            $(&quot;&lt;scri&quot; + &quot;pt&gt;&quot; + &quot;&lt;/scr&quot; + &quot;ipt&gt;&quot;).attr({ role: 're			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Wg3Nb.html" rel="bookmark">动态加载js文件的三种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;script language=&quot;网页特效&quot;&gt; function importfn(){  var head = document.getelementsbytagname(&quot;head&quot;)[0];  var script = document.createelement('script');  script.id = 'sid';  script.type = 'text/javascript';  script.src = '../js/alertt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7NOXz.html" rel="bookmark">Java加载资源文件的两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				处理配置文件对于Java程序员来说再常见不过了,不管是Servlet,Spring,抑或是Structs,都需要与配置文件打交道.Java将配置文件当作一种资源(resource)来处理,并且提供了两个类来读取这些资源,一个是Class类,另一个是ClassLoader类.     当我们自己的程序需要处理配置文件时(比如xml文件或properties文件),通常会遇到两个问题:   (1)我的配置文件应该放在哪里? (2)怎么我的配置文件找不到了?     在了解了Java加载资源文件的机制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba60eqM.html" rel="bookmark">Android实现listview动态加载数据分页的两种方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在android开发中,经常需要使用数据分页,比如要实现一个新闻列表的显示,或者博文列表的显示,不可能第一次加载就展示出全部,这就需要使用分页的方法来加载数据,在android中Handler经常用来在耗时的工作中,它接收子线程发送的数据,并使用数据配合更新UI,AsyncTask是在一个线程中执行耗时操作然后把结果传给UI线程,不需要你亲自去管理线程和句柄. 一.使用Handler+线程方法1.基础知识Handler在android系统中,主要负责发送和接收消息,它的用途主要有以下两种: (1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwGGjp.html" rel="bookmark">Spring加载properties文件的两种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版权声明:尊重博主原创文章,转载请注明出处哦~http://blog.csdn.net/eson_15/article/details/51365707 目录(?)[+]         在项目中如果有些参数经常需要修改,或者后期可能需要修改,那我们最好把这些参数放到properties文件中,源代码中读取properties里面的配置,这样后期只需要改动properties文件即可,不需要修改源代码,这样更加方便.在spring中也可以这么做,而且Spring有两种加载properties文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2Bo4z.html" rel="bookmark">动态加载js、css的实例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.原生js: /** * 加载js和css文件 * @param jsonData.path 前缀路径 * @param jsonData.url 需要加载的js路径或css路径 * @param jsonData.type 需要加载的类型 js或css */ function loadWriteFiles(jsonData) { jsonData.path = jsonData.path != undefined ? jsonData.path : &quot;&quot;; if(jsonData.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqLVEp.html" rel="bookmark">动态加载dtree&period;js树treeview&lpar;示例代码&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Strict//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd&quot;&gt;&lt;html&gt;&lt;head&gt;&lt;title&gt;Destroydrop » Javascripts » Tree&lt;/title&gt;&lt;link rel=&quot;StyleSh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0AWEz.html" rel="bookmark">用JS动态改变表单form里的action值属性的两种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法1: &lt;form id=&quot;form1&quot; name=&quot;form1&quot; method=&quot;post&quot; action=&quot;../news/index.asp&quot;&gt; &lt;table width=&quot;100%&quot; height=&quot;43&quot; border=&quot;0&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBr9kb.html" rel="bookmark" class="title">php 连接mysql连接被重置的解决方法</a>
					<div>
						新装了windows7 64位系统后,配备布置许多东西,总是有这样的那样子的拂意,昨天在开始配备布置php+apache的时候,echo phpinfo()完全没问题,但是一朝连接mysql就会呈现页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAJoep.html" rel="bookmark" class="title">NET真面目（下）</a>
					<div>
						.NET的平台及框架是基于微软软件工业基础的又一次升级和演化.然而,.NET还是要尽力保证Windows系统及系列产品和.NET能够融为一体,尽量在微软公司原有的软件资产基础上,使.NET继续成为In ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY22RVp.html" rel="bookmark" class="title">CentOS 5下安装Nginx 1&period;4&plus;PHP 5&period;5 FastCGI的过程</a>
					<div>
						yum -y install gcc gcc-c++ autoconf libjpeg libjpeg-devel libpng libpng-devel freetype freetype-deve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91W33M.html" rel="bookmark" class="title">PHP开发框架Yii Framework教程&lpar;23&rpar; 数据库-概述</a>
					<div>
						Yii提供了强大的数据库编程支持. Yii数据访问对象(DAO)建立在PHP的数据对象(PDO)extension上,使得在一个单一 的统一的接口可以访问不同的数据库管理系统(DBMS).使用Yii的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPRAGz.html" rel="bookmark" class="title">使用WSS的Lists&period;UpdateListItems&lpar;&rpar;方法之被截断的CAML</a>
					<div>
						Microsoft的WSS(Windows Sharepoint Services)公开了很多用于访问和管理Sharepoint站点的方法 ,在调用这些方法时可以通过CAML(Collaborativ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRqNRz.html" rel="bookmark" class="title">wifi共享精灵XP系统无法启动</a>
					<div>
						  查看系统环境,我的电脑--属性查看,一般都是SP3SP2部分不支持,SP2二次封包的系统不支持.net3.5框架,支持必须安装XP的模式,是公开模式,无法使用密码加密功能.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8B9qp.html" rel="bookmark" class="title">怎么设置Excel有色立体感的单元格</a>
					<div>
						  有的时候为了增强艺术感,我们需要将Excel单元格设置为立体效果,那么到底怎么设置呢?深度之家小编现在就来带领大家实现这个目标,一起来感受一下. ①启动Excel2003,右击单元格,设置对象格式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP81Dqp.html" rel="bookmark" class="title">win8&period;1磁盘使用率如何到100&percnt;</a>
					<div>
						  1.关闭家庭组,因为这功能会导致硬盘和CPU处于高负荷状态. 关闭方法:Win+C – 设置 – 更改电脑设置 – 家庭组 – 离开如果用不到家庭组可以直接把家庭组服务也给关闭了:控制面板 – 管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW9Vnp.html" rel="bookmark" class="title">如何清除打印机队列中无法清除的任务</a>
					<div>
						  1.当打印任务开始进行时,这些打印任务便被保存在打印作业列表(也称打印队列)内.如果打印机因意外暂停(如打印机未连接)而未完成打印任务,则该打印任务将列入打印队列,并且存入文件的打印池,备份.进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWBnAp.html" rel="bookmark" class="title">专访经纶世纪余中：&OpenCurlyDoubleQuote;防大病、管慢病&rdquo;背后的技术与商业思考</a>
					<div>
						有数据统计,目前全球的医疗人工智能企业一共有 243 家.其中,国内有 70 家.尤其是从2016年政策放开后,医疗智能企业更是如雨后春笋般出现.而在人工智能的热潮下,资本纷纷入局这一行业.截至 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ol5mb.html" rel="bookmark" class="title">10分钟掌握正则式</a>
					<div>
						日志服务使用正则式提取日志的字段信息,为了让朋友们快速了解如何使用正则式,这里总结了一下常见的正则式的书写方法. 应注意一下几个问题. 1:括号中的内容对应需要提取的内容. 2:尽量少使用.* 常见的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEWRYp.html" rel="bookmark" class="title">JavaScript中Object和Function的关系小结&lowbar;javascript技巧</a>
					<div>
						Function instanceof Object 和 Object instanceof Function 都是 true 1.我们可以认为 Object 是一个特殊的&quot;类&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrjnWM.html" rel="bookmark" class="title">PaperWeekly 第41期 &vert; 互怼的艺术：从零直达 WGAN-GP</a>
					<div>
						作者丨苏剑林 学校丨中山大学硕士生 研究方向丨NLP,神经网络 个人主页丨http://kexue.fm  1  前言 GAN,全称 Generative Adversarial Nets,中文名是生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrP55M.html" rel="bookmark" class="title">全相位FFT matlab编程实现</a>
					<div>
						问题描述 全相位FFT matlab编程实现 求大神指教!&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZENmwp.html" rel="bookmark" class="title">winform同时管理多台打印机</a>
					<div>
						问题描述 谁知道如何写一个程序管理多台打印机,公司所有同事装另一端,当他们都点打印时自动检测那台打印机不忙就用那台打,都忙时就进行排序等待. 解决方案 解决方案二: 解决方案三:调打印API解决方案四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm9GAz.html" rel="bookmark" class="title">ios-各位大神来帮看看这个关于iOS开发者账号的问题</a>
					<div>
						问题描述 各位大神来帮看看这个关于iOS开发者账号的问题 事情是这样的 我公司有一个开发者团队账号 我在Member Center ----&gt; people 添加我的apple ID 为开发者  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QA18p.html" rel="bookmark" class="title">action-Struts2用Action属性接收参数报错</a>
					<div>
						问题描述 Struts2用Action属性接收参数报错 这个项目报错如下:There is no Action mapped for namespace [/] and action name [us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94jNvb.html" rel="bookmark" class="title">安卓应用开发-安卓视频播放软件在线播放视频的实现技术</a>
					<div>
						问题描述 安卓视频播放软件在线播放视频的实现技术 请问安卓类似优酷,爱奇艺这些在线播放视频是用什么实现的?surfaceview结合mediaplay还是其他第三方?同事他们播放的视频又有什么要求吗? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj0G7M.html" rel="bookmark" class="title">联想郭晶&colon;DLP是对数据的全生命周期防护</a>
					<div>
						本文讲的是联想郭晶:DLP是对数据的全生命周期防护,随着信息化在企业的不断深入,现代企业办公早已进入了IT时代,员工利用各种IT设备进行办公从而代替了传统的笔和记事本.越来越多的应用以及电子文档代替了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RZ17z.html" rel="bookmark" class="title">在powershell上运行python 键盘失灵了怎么回事？本人小白一枚，求大大们帮帮忙。</a>
					<div>
						问题描述 在powershell上运行python 键盘失灵了怎么回事?本人小白一枚,求大大们帮帮忙. PS C:Usersca&gt; python python : Python 2.7.11 ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX5omz.html" rel="bookmark" class="title">socket发送大量数据时如何接收&quest;</a>
					<div>
						问题描述 小弟在做一个项目是用java的socket发文件的同时也想发送聊天信息.1.对于socket的接收专门由一个线程A来处理,对于socket的发送也专门由一个线程B来处理2.发送和接收都有各自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5eWxM.html" rel="bookmark" class="title">想说声网上能够赚钱其实很难</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网上赚钱是不是真的?这已经不用我来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLW4NM.html" rel="bookmark" class="title">HtmlUtil</a>
					<div>
						package com.css.common.util; import org.apache.commons.lang.StringUtils; import org.htmlparser.Node; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwe75M.html" rel="bookmark" class="title">青蛙王子招股书涉嫌隐瞒重大风险</a>
					<div>
						亲贝网讯 7月12日消息,亲贝网近日对内地儿童护肤品生产商青蛙王子(01259.HK)的系列报道引起读者强烈反响,市场对该公司的关注度也明显上升.今日有 网友向亲贝网表示,青蛙王子的上市招股书中并未提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7v4Rz.html" rel="bookmark" class="title">android-Android 一个项目应用另一个项目后 private libraries 不见了</a>
					<div>
						问题描述 Android 一个项目应用另一个项目后 private libraries 不见了 文件消失了 被换成 jar 里面的文件资源也找不到了 怎么办? 解决方案 那你查看一下你的Library ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8voVp.html" rel="bookmark" class="title">很邪门的心理测试，98&percnt;准确率，不信试试！很诡异喔&excl;&excl;&lowbar;经典网摘</a>
					<div>
						人格测验 : 每一个人只能够许一个愿望 ...... 试试看 , 可是千万不要作弊 , 不要先看结论 ! 你会对你的答案感到非常讶异 . 我们的脑海就像是一个降落伞一样 ;当它在於开放的状态下就能够达 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z6dAz.html" rel="bookmark" class="title">Android开发之搜Ya项目说明（3）</a>
					<div>
						项目 搜芽移动客户端 ----seller,app,base三个包的简单说明 作者 曾金龙 Tel:18664312687 QQ :470910357@qq.com 时间 2014-10-14 说明  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen0KNb.html" rel="bookmark" class="title">Honda发布新一代Honda CONNECT 导航互联系统带来全新用户体验</a>
					<div>
						科技本来就是伴随着人们的需求不断发展.迭代.早期,由于数据不新.不实时.不准,最终导致了传统车载导航定位精度差.交通路况不实时.引导不准确等一系列产品问题,车载导航也成了中看不中用的鸡肋产品,人们依旧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y4Xyb.html" rel="bookmark" class="title">KeyboardJS  - &amp;amp&semi;quot&semi;构建你的应用吧，我会处理按键&amp;amp&semi;quot&semi;</a>
					<div>
						KeyboardJS  - &quot;构建你的应用吧,我会处理按键&quot; 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWgVap.html" rel="bookmark" class="title">省级专项监督抽查服装品牌，我市欧柏兰奴等上&OpenCurlyDoubleQuote;黑榜&rdquo;</a>
					<div>
						省级专项监督抽查服装品牌 我市欧柏兰奴和丹诗格尔等上&quot;黑榜&quot; 深圳晚报讯 (记者 周灵静) 昨天,省质量监督局公布女士服装产品质量省级专项监督抽查结果,我市共有7个服装品牌上了&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
